=== debian/changelog ===
bangarang (1.0.1-1) unstable; urgency=low

  * New upstream release 

  [ Andreas Marschke ]
  * dropped patches 01_MediaItem.diff 02_bangarang-doublequalify.diff

  [ Ryan Kavanagh ]
  * Fixed typo in bug number in changelog for 1.0-1
  * Added new copyright holders to debian/copyright and updated years where
    required
  * Bumped standards version to 3.8.4
  * Dropped quilt build-dep
  * Dropped quilt references in debian/rules
  * Switched to dpkg-source 3.0 (quilt) format

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 13 Feb 2010 19:12:36 -0500

bangarang (1.0-1) unstable; urgency=low

  * New upstream release

  [ Ryan Kavanagh ]
  * Jani no longer has copyrighted files in bangarang (blur.cpp was removed),
    removed him from the copyright file.
  * Updated copyright with new copyright holders
  * Updated copyright holder's years
  * Added a manpage for the bangarangnepomukwriter executable
  * Changed section to Applications/Video, see bug #559895 for the history.
    (Closes: #564220)
  * Added a watch file
  * Added the Vcs-* entries to debian/control
  * Added quilt as a B-D
  * Enabled quilt in the rules
  * Added a README.source now that we're using quilt
  * Added shared-desktop-ontologies as a B-D
  * Imported upstream patch 01_MediaItem.diff to fix FTBFS with gcc-4.4
  * Imported 02_bangarang-doublequalify.diff by Pino Toscano, fixes a FTBFS
    with gcc-4.5.  (Closes: #564965)
  * Moved from the DMPM repository to the pkg-kde-extras repository. Changed
    the maintainer to Debian KDE Extras Team

  [ Andreas Marschke ]
  * Add my name and move Ryan's to the Uploaders list

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 24 Jan 2010 15:09:28 -0500

bangarang (1.0~beta2-1) unstable; urgency=low

  * Initial release (Closes: #556241)

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Mon, 23 Nov 2009 22:35:33 -0500
