=== debian/control ===
Source: bangarang
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Ryan Kavanagh <ryanakca@kubuntu.org> , Andreas Marschke <xxtjaxx@gmail.com>
Build-Depends: debhelper (>= 7.3),
 pkg-kde-tools (>= 0.5.0),
 cmake,
 kdemultimedia-dev,
 shared-desktop-ontologies,
 libtag1-dev
Standards-Version: 3.8.4
Homepage: http://gitorious.org/bangarang
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/bangarang.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/bangarang.git

Package: bangarang
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Multimedia player with a lightweight interface for KDE
 Offers a media—audio and video—player with a lightweight interface. Integrates
 with the Nepomuk Social Semantic Desktop, supports command line arguments, can
 play CDs and DVDs and audio streams. It also has basic keyboard shortcuts and
 allows users to manually manage playlists.
