=== debian/watch ===
version=3

http://code.google.com/p/bangarangissuetracking/downloads/list \
    http://bangarangissuetracking.googlecode.com/files/bangarang-(.*)\.tar\.gz
