## bangarang 2.0

=== po/CMakeLists.txt ===
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( es )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( it )
add_subdirectory( lt )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt_BR )
add_subdirectory( uk )
add_subdirectory( zh_CN )
