=== debian/changelog ===
bangarang (2.0-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #712532)
  * Dropped patch kubuntu_01_linker_fix.diff, applied upstream

 -- Tarun Kumar Mall <c2tarun@gmail.com>  Fri, 04 Feb 2011 11:17:15 +0530

bangarang (1.0.1-1ubuntu1) natty; urgency=low

  * Add kubuntu_01_linker_fix.diff to fix linking with ld's --as-needed flag

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Dec 2010 13:34:50 -0500

bangarang (1.0.1-1build1) natty; urgency=low

  * Rebuild to get rid of the dependency on the kdelibs5 transitional package

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 30 Dec 2010 13:20:06 -0500
