=== debian/changelog ===
bangarang (2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #631603)
    + We need at least KDE 4.5.0, updated Build-Depends accordingly
    + Dropped 01_linker_fix.diff, applied upstream.
    + We no longer need to correct the cz locale code to cs
  * Updated copyright file
  * Dropped README.source from quilt days
  * Bumped Standards to 3.9.2
  * Fixed watch file
  * Fix a typo in bangarang binary, 01_psychadelic_psychedelic.diff
  * Avoid QFSFileEngine::open warnings, 02_QFSFileEngine_open.diff

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Fri, 22 Jul 2011 06:44:06 -0400

bangarang (1.0.1-2) unstable; urgency=low

  * Bump to standards version 3.9.1
  * Dropped README.source, no longer needed now that we're using 3.0 (quilt).
  * Fix FTBFS with gold or ld --no-as-needed with 01_linker_fix.diff
    (Closes: #615694)
  * Fix incorrect-locale-code cz->cs
  * Turned on DM-Upload-Allowed

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sat, 05 Mar 2011 19:13:30 -0500
