=== po/CMakeLists.txt ===
--- 
+++ 
@@ -5,10 +5,13 @@
 add_subdirectory( es )
 add_subdirectory( fi )
 add_subdirectory( fr )
+add_subdirectory( hu )
 add_subdirectory( it )
 add_subdirectory( lt )
 add_subdirectory( nl )
 add_subdirectory( pl )
+add_subdirectory( pt )
 add_subdirectory( pt_BR )
+add_subdirectory( ru )
 add_subdirectory( uk )
 add_subdirectory( zh_CN )
