=== debian/changelog ===
bangarang (2.1-2ubuntu1) quantal; urgency=low

  * Replace build dependency: kdemultimedia-dev (doesn't exist anymore) ->
    kdelibs5-dev.

 -- Ilya Barygin <randomaction@ubuntu.com>  Tue, 25 Sep 2012 22:08:09 +0400

bangarang (2.1-2) unstable; urgency=low

  [ Ryan Kavanagh ]
  * Bump standards to 3.9.3
  * Drop DM-Upload-Allowed: yes and update maintainer address to @debian.org
  * Update copyright file

  [ Cyril Brulebois ]
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes
    (Closes: #667108).

 -- Ryan Kavanagh <rak@debian.org>  Sat, 28 Apr 2012 09:13:30 -0400

bangarang (2.1-1) unstable; urgency=low

  * New upstream release (Closes: #651418)
  * Drop 01_psychadelic_psychedelic.diff, applied upstream
  * Drop 02_QFSFileEngine_open.diff, applied upstream
  * Andrew's email changed to @gmail.com, update copyright file

 -- Ryan Kavanagh <ryanakca@kubuntu.org>  Sun, 18 Dec 2011 13:34:52 -0500
