=== debian/watch ===
version=3

opts=downloadurlmangle=s@^@http:@ \
http://code.google.com/p/bangarangissuetracking/downloads/list \
    //bangarangissuetracking.googlecode.com/files/bangarang-(.*)\.tar\.gz
